@Echo Off

Rem   ---------------------------------------------------------------------------
Rem  JOnAS: Java(TM) Open Application Server
Rem  Copyright (C) 1999 Bull S.A.
Rem  Contact: jonas-team@objectweb.org
Rem  
Rem  This library is free software; you can redistribute it and/or
Rem  modify it under the terms of the GNU Lesser General Public
Rem  License as published by the Free Software Foundation; either
Rem  version 2.1 of the License, or any later version.
Rem  
Rem  This library is distributed in the hope that it will be useful,
Rem  but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem  Lesser General Public License for more details.
Rem  
Rem  You should have received a copy of the GNU Lesser General Public
Rem  License along with this library; if not, write to the Free Software
Rem  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem  USA
Rem  
Rem  Initial developer(s): ____________________________________.
Rem   Contributor(s): ______________________________________.
Rem  
Rem	00/05/22  Roland Kamsikav (email: Roland.Kamsika@amonite.co.uk)
Rem	          Versions of this script created from a contribution
Rem               of Roland Kamsika
Rem	          (Portions provided by Anatole Tresch & Rdiger Breit)
Rem
Rem   ---------------------------------------------------------------------------
Rem   $Id: config_env.bat.template,v 1.14 2002/06/06 09:18:56 jonas Exp $
Rem   ---------------------------------------------------------------------------

Rem  Temporarly, you may have to change this generated values according to
Rem  your paths. 
Rem  config_env.bat is a generated file from config_env.bat.template when
Rem  jonas is built. Later, a configuration process will be done at install.
Rem  In case you generate jonas from its sources, you must not change this
Rem  file, but you must change $OBJECTWEB_HOME/gmk/config.mk instead.


if not "%OBJECTWEB_ORB%"=="" Goto SkipInitOrb
Rem Set the Objectweb ORB value with JEREMIE or RMI or RMIIIOP
Set OBJECTWEB_ORB=RMI

:SkipInitOrb

Rem ----------
Rem JAVA setup
Rem ----------
Rem We try to use first the java JVM in JAVA_HOME and if not found, 
Rem we use the one found in the path.
Rem You can specify additional options to give to the Java JVM in the
Rem JAVA_OPTS environment variable.
if "%JAVA_HOME%"=="" Goto DefaultJava
Set JAVA="%JAVA_HOME%\bin\java"
goto DataBases

:DefaultJava
Set JAVA=java

:DataBases

Rem Set those generated values according to your paths.
Set JDBC_CLASSES=
Set IDB_HOME=D:\usr\local\lib
Set IDB_CLASSES_1=%IDB_HOME%\idb.jar
Set IDB_CLASSES_2=%IDB_HOME%\idbexmpl.jar
Set ORACLE_CLASSES=D:\usr\local\lib\classes12.zip
Set POSTGRE_CLASSES=D:\usr\lib\pgsql\jdbc7.0-1.2.jar
Set INTERBASE_CLASSES=D:


if NOT EXIST "%IDB_CLASSES_1%" goto Idb2
Set JDBC_CLASSES=%JDBC_CLASSES%;%IDB_CLASSES_1%
:Idb2
if NOT EXIST "%IDB_CLASSES_2%" goto Oracle
Set JDBC_CLASSES=%JDBC_CLASSES%;%IDB_CLASSES_2%
:Oracle
if NOT EXIST "%ORACLE_CLASSES%" goto Postgre
Set JDBC_CLASSES=%JDBC_CLASSES%;%ORACLE_CLASSES%
:Postgre
if NOT EXIST "%POSTGRE_CLASSES%" goto Interbase
Set JDBC_CLASSES=%JDBC_CLASSES%;%POSTGRE_CLASSES%
:Interbase
if NOT EXIST "%INTERBASE_CLASSES%" goto SetClassPath
Set JDBC_CLASSES=%JDBC_CLASSES%;%INTERBASE_CLASSES%

:SetClassPath
Set JONAS_CLASSES=%JONAS_ROOT%\lib\%OBJECTWEB_ORB%_jonas.jar

Rem  All these variables refer to classes or interfaces that will be included
Rem  in your CLASSPATH, either to compile, or to run jonas servers.
Set CLASSPATH=%JONAS_CLASSES%
Set CLASSPATH=%JDBC_CLASSES%;%CLASSPATH%

if "%TOMCAT_HOME%"=="" Goto Catalina
Set TOMCAT_CLASSES_1=%TOMCAT_HOME%\lib\container\tomcat_util.jar
Set TOMCAT_CLASSES_2=%TOMCAT_HOME%\lib\container\tomcat_modules.jar
Set TOMCAT_CLASSES_3=%TOMCAT_HOME%\lib\container\facade22.jar
Set TOMCAT_CLASSES_4=%TOMCAT_HOME%\lib\container\jasper.jar
Set TOMCAT_CLASSES=%TOMCAT_CLASSES_1%;%TOMCAT_CLASSES_2%;%TOMCAT_CLASSES_3%;%TOMCAT_CLASSES_4%
Set CLASSPATH=%JAVA_HOME%\lib\tools.jar;%TOMCAT_CLASSES%;%CLASSPATH%

:Catalina
if "%CATALINA_HOME%"=="" Goto JonasConfig
Set CLASSPATH=%JAVA_HOME%\lib\tools.jar;%CLASSPATH%

:JonasConfig
Rem For JOnAS configuration files (jndi.properties, trace.properties, ...)
Set CLASSPATH=%JONAS_ROOT%\config;%CLASSPATH%


Rem  You can update the classpath with your own bean classes
Rem  or set a XTRA_CLASSPATH in your environment
Set CLASSPATH=%JONAS_ROOT%\examples\classes;%CLASSPATH%
Set CLASSPATH=%XTRA_CLASSPATH%;%CLASSPATH%


